Index: /trunk/source/Lib/TLibEncoder/AnnexBwrite.h
===================================================================
--- /trunk/source/Lib/TLibEncoder/AnnexBwrite.h	(revision 1412)
+++ /trunk/source/Lib/TLibEncoder/AnnexBwrite.h	(revision 1413)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2016, ITU/ISO/IEC
+ * Copyright (c) 2010-2017, ITU/ISO/IEC
  * All rights reserved.
  *
Index: /trunk/source/Lib/TLibEncoder/NALwrite.cpp
===================================================================
--- /trunk/source/Lib/TLibEncoder/NALwrite.cpp	(revision 1412)
+++ /trunk/source/Lib/TLibEncoder/NALwrite.cpp	(revision 1413)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2016, ITU/ISO/IEC
+ * Copyright (c) 2010-2017, ITU/ISO/IEC
  * All rights reserved.
  *
Index: /trunk/source/Lib/TLibEncoder/NALwrite.h
===================================================================
--- /trunk/source/Lib/TLibEncoder/NALwrite.h	(revision 1412)
+++ /trunk/source/Lib/TLibEncoder/NALwrite.h	(revision 1413)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2016, ITU/ISO/IEC
+ * Copyright (c) 2010-2017, ITU/ISO/IEC
  * All rights reserved.
  *
Index: /trunk/source/Lib/TLibEncoder/SEIEncoder.cpp
===================================================================
--- /trunk/source/Lib/TLibEncoder/SEIEncoder.cpp	(revision 1412)
+++ /trunk/source/Lib/TLibEncoder/SEIEncoder.cpp	(revision 1413)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2016, ITU/ISO/IEC
+ * Copyright (c) 2010-2017, ITU/ISO/IEC
  * All rights reserved.
  *
@@ -346,4 +346,16 @@
   if(pps->getTilesEnabledFlag())
   {
+#if MCTS_ENC_CHECK
+    if (m_pcCfg->getTMCTSSEITileConstraint())
+    {
+      sei->m_mc_all_tiles_exact_sample_value_match_flag = true;
+      sei->m_each_tile_one_tile_set_flag = true;
+      sei->m_limited_tile_set_display_flag = false;
+      sei->m_max_mcs_tier_level_idc_present_flag = false;
+      sei->setNumberOfTileSets(0);
+    }
+    else
+    {
+#endif
     sei->m_mc_all_tiles_exact_sample_value_match_flag = false;
     sei->m_each_tile_one_tile_set_flag                = false;
@@ -365,4 +377,7 @@
       sei->tileSetData(i).m_mcts_tier_level_idc_present_flag = false;
     }
+#if MCTS_ENC_CHECK
+    }
+#endif
   }
   else
@@ -651,5 +666,4 @@
   }
 }
-#if U0033_ALTERNATIVE_TRANSFER_CHARACTERISTICS_SEI
 Void SEIEncoder::initSEIAlternativeTransferCharacteristics(SEIAlternativeTransferCharacteristics *seiAltTransCharacteristics)
 {
@@ -659,5 +673,15 @@
   seiAltTransCharacteristics->m_preferredTransferCharacteristics = m_pcCfg->getSEIPreferredTransferCharacteristics();
 }
-#endif
+
+Void SEIEncoder::initSEIGreenMetadataInfo(SEIGreenMetadataInfo *seiGreenMetadataInfo, UInt u)
+{
+    assert (m_isInitialized);
+    assert (seiGreenMetadataInfo!=NULL);
+
+    seiGreenMetadataInfo->m_greenMetadataType = m_pcCfg->getSEIGreenMetadataType();
+    seiGreenMetadataInfo->m_xsdMetricType = m_pcCfg->getSEIXSDMetricType();
+    seiGreenMetadataInfo->m_xsdMetricValue = u;
+}
+
 
 #if NH_MV
Index: /trunk/source/Lib/TLibEncoder/SEIEncoder.h
===================================================================
--- /trunk/source/Lib/TLibEncoder/SEIEncoder.h	(revision 1412)
+++ /trunk/source/Lib/TLibEncoder/SEIEncoder.h	(revision 1413)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2016, ITU/ISO/IEC
+ * Copyright (c) 2010-2017, ITU/ISO/IEC
  * All rights reserved.
  *
@@ -82,11 +82,11 @@
   Void initSEITimeCode(SEITimeCode *sei);
   Bool initSEIColourRemappingInfo(SEIColourRemappingInfo *sei, Int currPOC); // returns true on success, false on failure.
-#if U0033_ALTERNATIVE_TRANSFER_CHARACTERISTICS_SEI
   Void initSEIAlternativeTransferCharacteristics(SEIAlternativeTransferCharacteristics *sei);
-#endif
 
   // trailing SEIs
   Void initDecodedPictureHashSEI(SEIDecodedPictureHash *sei, TComPic *pcPic, std::string &rHashString, const BitDepths &bitDepths);
   Void initTemporalLevel0IndexSEI(SEITemporalLevel0Index *sei, TComSlice *slice);
+  Void initSEIGreenMetadataInfo(SEIGreenMetadataInfo *sei, UInt u);
+
 #if NH_MV
   Void createAnnexFGISeiMessages( SEIMessages& seiMessage, const TComSlice* slice );;
